import * as React from "react";
import * as PropTypes from "prop-types";
import { CriteriaTableControllerContext } from "../CriteriaTableController";
export interface BaseControlProps extends React.HTMLProps<HTMLElement> {
    tableId: string;
}
export declare const BaseControlPropTypes: {
    [P in keyof BaseControlProps]: PropTypes.Validator<any>;
};
export declare abstract class BaseControl<TProps extends BaseControlProps = BaseControlProps, TState = {}> extends React.Component<TProps, TState> {
    static readonly propTypes: {
        tableId: PropTypes.Validator<any>;
        accept?: PropTypes.Validator<any>;
        acceptCharset?: PropTypes.Validator<any>;
        action?: PropTypes.Validator<any>;
        allowFullScreen?: PropTypes.Validator<any>;
        allowTransparency?: PropTypes.Validator<any>;
        alt?: PropTypes.Validator<any>;
        as?: PropTypes.Validator<any>;
        async?: PropTypes.Validator<any>;
        autoComplete?: PropTypes.Validator<any>;
        autoFocus?: PropTypes.Validator<any>;
        autoPlay?: PropTypes.Validator<any>;
        capture?: PropTypes.Validator<any>;
        cellPadding?: PropTypes.Validator<any>;
        cellSpacing?: PropTypes.Validator<any>;
        charSet?: PropTypes.Validator<any>;
        challenge?: PropTypes.Validator<any>;
        checked?: PropTypes.Validator<any>;
        cite?: PropTypes.Validator<any>;
        classID?: PropTypes.Validator<any>;
        cols?: PropTypes.Validator<any>;
        colSpan?: PropTypes.Validator<any>;
        content?: PropTypes.Validator<any>;
        controls?: PropTypes.Validator<any>;
        coords?: PropTypes.Validator<any>;
        crossOrigin?: PropTypes.Validator<any>;
        data?: PropTypes.Validator<any>;
        dateTime?: PropTypes.Validator<any>;
        default?: PropTypes.Validator<any>;
        defer?: PropTypes.Validator<any>;
        disabled?: PropTypes.Validator<any>;
        download?: PropTypes.Validator<any>;
        encType?: PropTypes.Validator<any>;
        form?: PropTypes.Validator<any>;
        formAction?: PropTypes.Validator<any>;
        formEncType?: PropTypes.Validator<any>;
        formMethod?: PropTypes.Validator<any>;
        formNoValidate?: PropTypes.Validator<any>;
        formTarget?: PropTypes.Validator<any>;
        frameBorder?: PropTypes.Validator<any>;
        headers?: PropTypes.Validator<any>;
        height?: PropTypes.Validator<any>;
        high?: PropTypes.Validator<any>;
        href?: PropTypes.Validator<any>;
        hrefLang?: PropTypes.Validator<any>;
        htmlFor?: PropTypes.Validator<any>;
        httpEquiv?: PropTypes.Validator<any>;
        integrity?: PropTypes.Validator<any>;
        keyParams?: PropTypes.Validator<any>;
        keyType?: PropTypes.Validator<any>;
        kind?: PropTypes.Validator<any>;
        label?: PropTypes.Validator<any>;
        list?: PropTypes.Validator<any>;
        loop?: PropTypes.Validator<any>;
        low?: PropTypes.Validator<any>;
        manifest?: PropTypes.Validator<any>;
        marginHeight?: PropTypes.Validator<any>;
        marginWidth?: PropTypes.Validator<any>;
        max?: PropTypes.Validator<any>;
        maxLength?: PropTypes.Validator<any>;
        media?: PropTypes.Validator<any>;
        mediaGroup?: PropTypes.Validator<any>;
        method?: PropTypes.Validator<any>;
        min?: PropTypes.Validator<any>;
        minLength?: PropTypes.Validator<any>;
        multiple?: PropTypes.Validator<any>;
        muted?: PropTypes.Validator<any>;
        name?: PropTypes.Validator<any>;
        nonce?: PropTypes.Validator<any>;
        noValidate?: PropTypes.Validator<any>;
        open?: PropTypes.Validator<any>;
        optimum?: PropTypes.Validator<any>;
        pattern?: PropTypes.Validator<any>;
        placeholder?: PropTypes.Validator<any>;
        playsInline?: PropTypes.Validator<any>;
        poster?: PropTypes.Validator<any>;
        preload?: PropTypes.Validator<any>;
        readOnly?: PropTypes.Validator<any>;
        rel?: PropTypes.Validator<any>;
        required?: PropTypes.Validator<any>;
        reversed?: PropTypes.Validator<any>;
        rows?: PropTypes.Validator<any>;
        rowSpan?: PropTypes.Validator<any>;
        sandbox?: PropTypes.Validator<any>;
        scope?: PropTypes.Validator<any>;
        scoped?: PropTypes.Validator<any>;
        scrolling?: PropTypes.Validator<any>;
        seamless?: PropTypes.Validator<any>;
        selected?: PropTypes.Validator<any>;
        shape?: PropTypes.Validator<any>;
        size?: PropTypes.Validator<any>;
        sizes?: PropTypes.Validator<any>;
        span?: PropTypes.Validator<any>;
        src?: PropTypes.Validator<any>;
        srcDoc?: PropTypes.Validator<any>;
        srcLang?: PropTypes.Validator<any>;
        srcSet?: PropTypes.Validator<any>;
        start?: PropTypes.Validator<any>;
        step?: PropTypes.Validator<any>;
        summary?: PropTypes.Validator<any>;
        target?: PropTypes.Validator<any>;
        type?: PropTypes.Validator<any>;
        useMap?: PropTypes.Validator<any>;
        value?: PropTypes.Validator<any>;
        width?: PropTypes.Validator<any>;
        wmode?: PropTypes.Validator<any>;
        wrap?: PropTypes.Validator<any>;
        defaultChecked?: PropTypes.Validator<any>;
        defaultValue?: PropTypes.Validator<any>;
        suppressContentEditableWarning?: PropTypes.Validator<any>;
        accessKey?: PropTypes.Validator<any>;
        className?: PropTypes.Validator<any>;
        contentEditable?: PropTypes.Validator<any>;
        contextMenu?: PropTypes.Validator<any>;
        dir?: PropTypes.Validator<any>;
        draggable?: PropTypes.Validator<any>;
        hidden?: PropTypes.Validator<any>;
        id?: PropTypes.Validator<any>;
        lang?: PropTypes.Validator<any>;
        slot?: PropTypes.Validator<any>;
        spellCheck?: PropTypes.Validator<any>;
        style?: PropTypes.Validator<any>;
        tabIndex?: PropTypes.Validator<any>;
        title?: PropTypes.Validator<any>;
        inputMode?: PropTypes.Validator<any>;
        is?: PropTypes.Validator<any>;
        radioGroup?: PropTypes.Validator<any>;
        role?: PropTypes.Validator<any>;
        about?: PropTypes.Validator<any>;
        datatype?: PropTypes.Validator<any>;
        inlist?: PropTypes.Validator<any>;
        prefix?: PropTypes.Validator<any>;
        property?: PropTypes.Validator<any>;
        resource?: PropTypes.Validator<any>;
        typeof?: PropTypes.Validator<any>;
        vocab?: PropTypes.Validator<any>;
        autoCapitalize?: PropTypes.Validator<any>;
        autoCorrect?: PropTypes.Validator<any>;
        autoSave?: PropTypes.Validator<any>;
        color?: PropTypes.Validator<any>;
        itemProp?: PropTypes.Validator<any>;
        itemScope?: PropTypes.Validator<any>;
        itemType?: PropTypes.Validator<any>;
        itemID?: PropTypes.Validator<any>;
        itemRef?: PropTypes.Validator<any>;
        results?: PropTypes.Validator<any>;
        security?: PropTypes.Validator<any>;
        unselectable?: PropTypes.Validator<any>;
        children?: PropTypes.Validator<any>;
        dangerouslySetInnerHTML?: PropTypes.Validator<any>;
        onCopy?: PropTypes.Validator<any>;
        onCopyCapture?: PropTypes.Validator<any>;
        onCut?: PropTypes.Validator<any>;
        onCutCapture?: PropTypes.Validator<any>;
        onPaste?: PropTypes.Validator<any>;
        onPasteCapture?: PropTypes.Validator<any>;
        onCompositionEnd?: PropTypes.Validator<any>;
        onCompositionEndCapture?: PropTypes.Validator<any>;
        onCompositionStart?: PropTypes.Validator<any>;
        onCompositionStartCapture?: PropTypes.Validator<any>;
        onCompositionUpdate?: PropTypes.Validator<any>;
        onCompositionUpdateCapture?: PropTypes.Validator<any>;
        onFocus?: PropTypes.Validator<any>;
        onFocusCapture?: PropTypes.Validator<any>;
        onBlur?: PropTypes.Validator<any>;
        onBlurCapture?: PropTypes.Validator<any>;
        onChange?: PropTypes.Validator<any>;
        onChangeCapture?: PropTypes.Validator<any>;
        onInput?: PropTypes.Validator<any>;
        onInputCapture?: PropTypes.Validator<any>;
        onReset?: PropTypes.Validator<any>;
        onResetCapture?: PropTypes.Validator<any>;
        onSubmit?: PropTypes.Validator<any>;
        onSubmitCapture?: PropTypes.Validator<any>;
        onInvalid?: PropTypes.Validator<any>;
        onInvalidCapture?: PropTypes.Validator<any>;
        onLoad?: PropTypes.Validator<any>;
        onLoadCapture?: PropTypes.Validator<any>;
        onError?: PropTypes.Validator<any>;
        onErrorCapture?: PropTypes.Validator<any>;
        onKeyDown?: PropTypes.Validator<any>;
        onKeyDownCapture?: PropTypes.Validator<any>;
        onKeyPress?: PropTypes.Validator<any>;
        onKeyPressCapture?: PropTypes.Validator<any>;
        onKeyUp?: PropTypes.Validator<any>;
        onKeyUpCapture?: PropTypes.Validator<any>;
        onAbort?: PropTypes.Validator<any>;
        onAbortCapture?: PropTypes.Validator<any>;
        onCanPlay?: PropTypes.Validator<any>;
        onCanPlayCapture?: PropTypes.Validator<any>;
        onCanPlayThrough?: PropTypes.Validator<any>;
        onCanPlayThroughCapture?: PropTypes.Validator<any>;
        onDurationChange?: PropTypes.Validator<any>;
        onDurationChangeCapture?: PropTypes.Validator<any>;
        onEmptied?: PropTypes.Validator<any>;
        onEmptiedCapture?: PropTypes.Validator<any>;
        onEncrypted?: PropTypes.Validator<any>;
        onEncryptedCapture?: PropTypes.Validator<any>;
        onEnded?: PropTypes.Validator<any>;
        onEndedCapture?: PropTypes.Validator<any>;
        onLoadedData?: PropTypes.Validator<any>;
        onLoadedDataCapture?: PropTypes.Validator<any>;
        onLoadedMetadata?: PropTypes.Validator<any>;
        onLoadedMetadataCapture?: PropTypes.Validator<any>;
        onLoadStart?: PropTypes.Validator<any>;
        onLoadStartCapture?: PropTypes.Validator<any>;
        onPause?: PropTypes.Validator<any>;
        onPauseCapture?: PropTypes.Validator<any>;
        onPlay?: PropTypes.Validator<any>;
        onPlayCapture?: PropTypes.Validator<any>;
        onPlaying?: PropTypes.Validator<any>;
        onPlayingCapture?: PropTypes.Validator<any>;
        onProgress?: PropTypes.Validator<any>;
        onProgressCapture?: PropTypes.Validator<any>;
        onRateChange?: PropTypes.Validator<any>;
        onRateChangeCapture?: PropTypes.Validator<any>;
        onSeeked?: PropTypes.Validator<any>;
        onSeekedCapture?: PropTypes.Validator<any>;
        onSeeking?: PropTypes.Validator<any>;
        onSeekingCapture?: PropTypes.Validator<any>;
        onStalled?: PropTypes.Validator<any>;
        onStalledCapture?: PropTypes.Validator<any>;
        onSuspend?: PropTypes.Validator<any>;
        onSuspendCapture?: PropTypes.Validator<any>;
        onTimeUpdate?: PropTypes.Validator<any>;
        onTimeUpdateCapture?: PropTypes.Validator<any>;
        onVolumeChange?: PropTypes.Validator<any>;
        onVolumeChangeCapture?: PropTypes.Validator<any>;
        onWaiting?: PropTypes.Validator<any>;
        onWaitingCapture?: PropTypes.Validator<any>;
        onClick?: PropTypes.Validator<any>;
        onClickCapture?: PropTypes.Validator<any>;
        onContextMenu?: PropTypes.Validator<any>;
        onContextMenuCapture?: PropTypes.Validator<any>;
        onDoubleClick?: PropTypes.Validator<any>;
        onDoubleClickCapture?: PropTypes.Validator<any>;
        onDrag?: PropTypes.Validator<any>;
        onDragCapture?: PropTypes.Validator<any>;
        onDragEnd?: PropTypes.Validator<any>;
        onDragEndCapture?: PropTypes.Validator<any>;
        onDragEnter?: PropTypes.Validator<any>;
        onDragEnterCapture?: PropTypes.Validator<any>;
        onDragExit?: PropTypes.Validator<any>;
        onDragExitCapture?: PropTypes.Validator<any>;
        onDragLeave?: PropTypes.Validator<any>;
        onDragLeaveCapture?: PropTypes.Validator<any>;
        onDragOver?: PropTypes.Validator<any>;
        onDragOverCapture?: PropTypes.Validator<any>;
        onDragStart?: PropTypes.Validator<any>;
        onDragStartCapture?: PropTypes.Validator<any>;
        onDrop?: PropTypes.Validator<any>;
        onDropCapture?: PropTypes.Validator<any>;
        onMouseDown?: PropTypes.Validator<any>;
        onMouseDownCapture?: PropTypes.Validator<any>;
        onMouseEnter?: PropTypes.Validator<any>;
        onMouseLeave?: PropTypes.Validator<any>;
        onMouseMove?: PropTypes.Validator<any>;
        onMouseMoveCapture?: PropTypes.Validator<any>;
        onMouseOut?: PropTypes.Validator<any>;
        onMouseOutCapture?: PropTypes.Validator<any>;
        onMouseOver?: PropTypes.Validator<any>;
        onMouseOverCapture?: PropTypes.Validator<any>;
        onMouseUp?: PropTypes.Validator<any>;
        onMouseUpCapture?: PropTypes.Validator<any>;
        onSelect?: PropTypes.Validator<any>;
        onSelectCapture?: PropTypes.Validator<any>;
        onTouchCancel?: PropTypes.Validator<any>;
        onTouchCancelCapture?: PropTypes.Validator<any>;
        onTouchEnd?: PropTypes.Validator<any>;
        onTouchEndCapture?: PropTypes.Validator<any>;
        onTouchMove?: PropTypes.Validator<any>;
        onTouchMoveCapture?: PropTypes.Validator<any>;
        onTouchStart?: PropTypes.Validator<any>;
        onTouchStartCapture?: PropTypes.Validator<any>;
        onScroll?: PropTypes.Validator<any>;
        onScrollCapture?: PropTypes.Validator<any>;
        onWheel?: PropTypes.Validator<any>;
        onWheelCapture?: PropTypes.Validator<any>;
        onAnimationStart?: PropTypes.Validator<any>;
        onAnimationStartCapture?: PropTypes.Validator<any>;
        onAnimationEnd?: PropTypes.Validator<any>;
        onAnimationEndCapture?: PropTypes.Validator<any>;
        onAnimationIteration?: PropTypes.Validator<any>;
        onAnimationIterationCapture?: PropTypes.Validator<any>;
        onTransitionEnd?: PropTypes.Validator<any>;
        onTransitionEndCapture?: PropTypes.Validator<any>;
        ref?: PropTypes.Validator<any>;
        key?: PropTypes.Validator<any>;
    };
    static readonly contextTypes: {
        initData: PropTypes.Validator<any>;
        getCurrentVisibleData: PropTypes.Validator<any>;
        getColumn: PropTypes.Validator<any>;
        getCurrentData: PropTypes.Validator<any>;
        onError: PropTypes.Validator<any>;
        saveData: PropTypes.Validator<any>;
        getControlAction: PropTypes.Validator<any>;
        bindControlAction: PropTypes.Validator<any>;
        unbindControlAction: PropTypes.Validator<any>;
        enableCaching: PropTypes.Validator<any>;
    };
    readonly context: CriteriaTableControllerContext;
    abstract readonly controlAction: () => void;
    render(): React.ReactNode;
    protected handleClick: (event: React.MouseEvent<HTMLElement>) => void;
}
