import * as PropTypes from "prop-types";
import { CriteriaTableState } from "./CriteriaTable";
import { TableColumn } from "../TableColumn";
export interface CriteriaTableProps {
    onDefaults: (state: CriteriaTableState) => () => Array<Partial<TableColumn>>;
    onFetchData: (state: Partial<CriteriaTableState>) => Promise<Partial<CriteriaTableState>>;
    cacheKey: string;
    previousText?: string;
    loadingText?: string;
    noDataText?: string;
    pageText?: string;
    nextText?: string;
    rowsText?: string;
    ofText?: string;
    sorted?: Array<{
        desc: boolean;
        id: string;
    }>;
    autoFetchDelay?: number;
    autoFetch?: boolean;
    pageSize?: number;
    pages?: number;
    page?: number;
    data?: any;
}
export declare const CriteriaTablePropTypes: {
    [P in keyof CriteriaTableProps]: PropTypes.Validator<any>;
};
export declare const CriteriaTableDefautProps: {
    [P in keyof CriteriaTableProps]?: CriteriaTableProps[P];
};
