import * as React from "react";
import * as PropTypes from "prop-types";
import { CriteriaTableControllerContext } from "./CriteriaTableControllerContext";
import { CriteriaTableControllerProps } from "./CriteriaTableControllerProps";
import { TableColumnRepository, TableColumn } from "../TableColumn";
import { ControlActions } from "../..";
export interface CriteriaTableControllerState {
    tables: Map<string, TableColumnRepository>;
    controlActionBinds: Map<string, Map<string, () => void>>;
}
export declare class CriteriaTableController extends React.Component<CriteriaTableControllerProps, CriteriaTableControllerState> {
    static readonly childContextTypes: {
        initData: PropTypes.Validator<any>;
        getCurrentVisibleData: PropTypes.Validator<any>;
        getColumn: PropTypes.Validator<any>;
        getCurrentData: PropTypes.Validator<any>;
        onError: PropTypes.Validator<any>;
        saveData: PropTypes.Validator<any>;
        getControlAction: PropTypes.Validator<any>;
        bindControlAction: PropTypes.Validator<any>;
        unbindControlAction: PropTypes.Validator<any>;
        enableCaching: PropTypes.Validator<any>;
    };
    static readonly propTypes: {
        onError?: PropTypes.Validator<any>;
        enableCaching?: PropTypes.Validator<any>;
    };
    static readonly defaultProps: {
        onError?: (error: any) => void;
        enableCaching?: boolean;
    };
    private readonly cacheSuffix;
    constructor(props: any);
    getChildContext(): CriteriaTableControllerContext;
    render(): React.ReactNode;
    protected handleBindControlAction: (tableId: string, actionName: ControlActions, action: () => void) => void;
    protected handleUnbindControlAction: (tableId: string, actionName: ControlActions) => void;
    protected getControlAction: (tableId: string, actionName: ControlActions) => () => void;
    protected getDefaultData: (id: string, defaultData: TableColumn[]) => TableColumnRepository;
    protected getCurrentData: (id: string) => TableColumnRepository;
    protected getCurrentVisibleData: (id: string) => TableColumn[];
    protected getColumn: (id: string, nodeId: string) => TableColumn;
    protected saveData: (id: string) => void;
    protected handleError: (error: any) => void;
    private getCacheKey;
    private mergeData;
    private instantiateData;
}
