import * as React from "react";
import * as PropTypes from "prop-types";
import { SearchToolRequiredProps } from "./SearchToolRequiredProps";
import { CriteriaTableContext } from "../CriteriaTable";
export interface BaseMatchState {
    searchValue?: number | string;
}
export declare class BaseMatch<ChildProps extends SearchToolRequiredProps = SearchToolRequiredProps, ChildState extends BaseMatchState = BaseMatchState> extends React.Component<ChildProps, ChildState> {
    static readonly propTypes: {
        defaultLabel?: PropTypes.Validator<any>;
        onFetch: PropTypes.Validator<any>;
        columnId: PropTypes.Validator<any>;
    };
    static readonly contextTypes: {
        setQueries: PropTypes.Validator<any>;
        getQueries: PropTypes.Validator<any>;
        queriesList: PropTypes.Validator<any>;
    };
    static readonly defaultProps: {
        defaultLabel?: string;
        onFetch?: () => void;
        columnId?: string;
    };
    readonly context: CriteriaTableContext;
    state: ChildState;
    componentWillMount(): void;
    componentWillUpdate(nextProps: any, nextState: any, nextContext: CriteriaTableContext): void;
    protected handleChange: (event: React.ChangeEvent<HTMLInputElement>) => void;
    protected handleCreateQueries: () => [import("../CriteriaTable").ConditionType, string, string | number | boolean][];
}
