import * as React from "react";
import * as PropTypes from "prop-types";
import { SearchToolRequiredProps } from "./SearchToolRequiredProps";
import { CriteriaTableContext } from "../CriteriaTable";
export interface BaseRangeState {
    from?: number | string;
    to?: number | string;
    label: string;
}
export declare class BaseRange<ChildProps extends SearchToolRequiredProps = SearchToolRequiredProps, ChildState extends BaseRangeState = BaseRangeState> extends React.Component<ChildProps, ChildState> {
    static readonly propTypes: {
        defaultLabel?: PropTypes.Validator<any>;
        onFetch: PropTypes.Validator<any>;
        columnId: PropTypes.Validator<any>;
    };
    static readonly contextTypes: {
        setQueries: PropTypes.Validator<any>;
        getQueries: PropTypes.Validator<any>;
        queriesList: PropTypes.Validator<any>;
    };
    static readonly defaultProps: {
        defaultLabel?: string;
        onFetch?: () => void;
        columnId?: string;
    };
    readonly context: CriteriaTableContext;
    state: ChildState;
    componentWillMount(): void;
    componentDidUpdate(): void;
    protected handleChange: (field: any) => (event: React.ChangeEvent<HTMLInputElement>) => void;
    protected handleClear: () => void;
    protected handleCreateQueries: () => [import("../CriteriaTable").ConditionType, string, string | number | boolean][];
    protected readonly label: string;
    private readonly shouldReset;
}
