import * as React from "react";
import * as PropTypes from "prop-types";
import { SettingsTreeViewProps } from "./SettingsTreeViewProps";
import { CriteriaTableControllerContext } from "../../CriteriaTableController";
import { TableColumnRepository } from "../../TableColumn";
export declare class SettingsTreeView extends React.Component<SettingsTreeViewProps> {
    static readonly propTypes: {
        childList: PropTypes.Validator<any>;
        activeTableKey: PropTypes.Validator<any>;
        defaultChecked?: PropTypes.Validator<any>;
        defaultValue?: PropTypes.Validator<any>;
        suppressContentEditableWarning?: PropTypes.Validator<any>;
        accessKey?: PropTypes.Validator<any>;
        className?: PropTypes.Validator<any>;
        contentEditable?: PropTypes.Validator<any>;
        contextMenu?: PropTypes.Validator<any>;
        dir?: PropTypes.Validator<any>;
        draggable?: PropTypes.Validator<any>;
        hidden?: PropTypes.Validator<any>;
        id?: PropTypes.Validator<any>;
        lang?: PropTypes.Validator<any>;
        slot?: PropTypes.Validator<any>;
        spellCheck?: PropTypes.Validator<any>;
        style?: PropTypes.Validator<any>;
        tabIndex?: PropTypes.Validator<any>;
        title?: PropTypes.Validator<any>;
        inputMode?: PropTypes.Validator<any>;
        is?: PropTypes.Validator<any>;
        radioGroup?: PropTypes.Validator<any>;
        role?: PropTypes.Validator<any>;
        about?: PropTypes.Validator<any>;
        datatype?: PropTypes.Validator<any>;
        inlist?: PropTypes.Validator<any>;
        prefix?: PropTypes.Validator<any>;
        property?: PropTypes.Validator<any>;
        resource?: PropTypes.Validator<any>;
        typeof?: PropTypes.Validator<any>;
        vocab?: PropTypes.Validator<any>;
        autoCapitalize?: PropTypes.Validator<any>;
        autoCorrect?: PropTypes.Validator<any>;
        autoSave?: PropTypes.Validator<any>;
        color?: PropTypes.Validator<any>;
        itemProp?: PropTypes.Validator<any>;
        itemScope?: PropTypes.Validator<any>;
        itemType?: PropTypes.Validator<any>;
        itemID?: PropTypes.Validator<any>;
        itemRef?: PropTypes.Validator<any>;
        results?: PropTypes.Validator<any>;
        security?: PropTypes.Validator<any>;
        unselectable?: PropTypes.Validator<any>;
        children?: PropTypes.Validator<any>;
        dangerouslySetInnerHTML?: PropTypes.Validator<any>;
        onCopy?: PropTypes.Validator<any>;
        onCopyCapture?: PropTypes.Validator<any>;
        onCut?: PropTypes.Validator<any>;
        onCutCapture?: PropTypes.Validator<any>;
        onPaste?: PropTypes.Validator<any>;
        onPasteCapture?: PropTypes.Validator<any>;
        onCompositionEnd?: PropTypes.Validator<any>;
        onCompositionEndCapture?: PropTypes.Validator<any>;
        onCompositionStart?: PropTypes.Validator<any>;
        onCompositionStartCapture?: PropTypes.Validator<any>;
        onCompositionUpdate?: PropTypes.Validator<any>;
        onCompositionUpdateCapture?: PropTypes.Validator<any>;
        onFocus?: PropTypes.Validator<any>;
        onFocusCapture?: PropTypes.Validator<any>;
        onBlur?: PropTypes.Validator<any>;
        onBlurCapture?: PropTypes.Validator<any>;
        onChange?: PropTypes.Validator<any>;
        onChangeCapture?: PropTypes.Validator<any>;
        onInput?: PropTypes.Validator<any>;
        onInputCapture?: PropTypes.Validator<any>;
        onReset?: PropTypes.Validator<any>;
        onResetCapture?: PropTypes.Validator<any>;
        onSubmit?: PropTypes.Validator<any>;
        onSubmitCapture?: PropTypes.Validator<any>;
        onInvalid?: PropTypes.Validator<any>;
        onInvalidCapture?: PropTypes.Validator<any>;
        onLoad?: PropTypes.Validator<any>;
        onLoadCapture?: PropTypes.Validator<any>;
        onError?: PropTypes.Validator<any>;
        onErrorCapture?: PropTypes.Validator<any>;
        onKeyDown?: PropTypes.Validator<any>;
        onKeyDownCapture?: PropTypes.Validator<any>;
        onKeyPress?: PropTypes.Validator<any>;
        onKeyPressCapture?: PropTypes.Validator<any>;
        onKeyUp?: PropTypes.Validator<any>;
        onKeyUpCapture?: PropTypes.Validator<any>;
        onAbort?: PropTypes.Validator<any>;
        onAbortCapture?: PropTypes.Validator<any>;
        onCanPlay?: PropTypes.Validator<any>;
        onCanPlayCapture?: PropTypes.Validator<any>;
        onCanPlayThrough?: PropTypes.Validator<any>;
        onCanPlayThroughCapture?: PropTypes.Validator<any>;
        onDurationChange?: PropTypes.Validator<any>;
        onDurationChangeCapture?: PropTypes.Validator<any>;
        onEmptied?: PropTypes.Validator<any>;
        onEmptiedCapture?: PropTypes.Validator<any>;
        onEncrypted?: PropTypes.Validator<any>;
        onEncryptedCapture?: PropTypes.Validator<any>;
        onEnded?: PropTypes.Validator<any>;
        onEndedCapture?: PropTypes.Validator<any>;
        onLoadedData?: PropTypes.Validator<any>;
        onLoadedDataCapture?: PropTypes.Validator<any>;
        onLoadedMetadata?: PropTypes.Validator<any>;
        onLoadedMetadataCapture?: PropTypes.Validator<any>;
        onLoadStart?: PropTypes.Validator<any>;
        onLoadStartCapture?: PropTypes.Validator<any>;
        onPause?: PropTypes.Validator<any>;
        onPauseCapture?: PropTypes.Validator<any>;
        onPlay?: PropTypes.Validator<any>;
        onPlayCapture?: PropTypes.Validator<any>;
        onPlaying?: PropTypes.Validator<any>;
        onPlayingCapture?: PropTypes.Validator<any>;
        onProgress?: PropTypes.Validator<any>;
        onProgressCapture?: PropTypes.Validator<any>;
        onRateChange?: PropTypes.Validator<any>;
        onRateChangeCapture?: PropTypes.Validator<any>;
        onSeeked?: PropTypes.Validator<any>;
        onSeekedCapture?: PropTypes.Validator<any>;
        onSeeking?: PropTypes.Validator<any>;
        onSeekingCapture?: PropTypes.Validator<any>;
        onStalled?: PropTypes.Validator<any>;
        onStalledCapture?: PropTypes.Validator<any>;
        onSuspend?: PropTypes.Validator<any>;
        onSuspendCapture?: PropTypes.Validator<any>;
        onTimeUpdate?: PropTypes.Validator<any>;
        onTimeUpdateCapture?: PropTypes.Validator<any>;
        onVolumeChange?: PropTypes.Validator<any>;
        onVolumeChangeCapture?: PropTypes.Validator<any>;
        onWaiting?: PropTypes.Validator<any>;
        onWaitingCapture?: PropTypes.Validator<any>;
        onClick?: PropTypes.Validator<any>;
        onClickCapture?: PropTypes.Validator<any>;
        onContextMenu?: PropTypes.Validator<any>;
        onContextMenuCapture?: PropTypes.Validator<any>;
        onDoubleClick?: PropTypes.Validator<any>;
        onDoubleClickCapture?: PropTypes.Validator<any>;
        onDrag?: PropTypes.Validator<any>;
        onDragCapture?: PropTypes.Validator<any>;
        onDragEnd?: PropTypes.Validator<any>;
        onDragEndCapture?: PropTypes.Validator<any>;
        onDragEnter?: PropTypes.Validator<any>;
        onDragEnterCapture?: PropTypes.Validator<any>;
        onDragExit?: PropTypes.Validator<any>;
        onDragExitCapture?: PropTypes.Validator<any>;
        onDragLeave?: PropTypes.Validator<any>;
        onDragLeaveCapture?: PropTypes.Validator<any>;
        onDragOver?: PropTypes.Validator<any>;
        onDragOverCapture?: PropTypes.Validator<any>;
        onDragStart?: PropTypes.Validator<any>;
        onDragStartCapture?: PropTypes.Validator<any>;
        onDrop?: PropTypes.Validator<any>;
        onDropCapture?: PropTypes.Validator<any>;
        onMouseDown?: PropTypes.Validator<any>;
        onMouseDownCapture?: PropTypes.Validator<any>;
        onMouseEnter?: PropTypes.Validator<any>;
        onMouseLeave?: PropTypes.Validator<any>;
        onMouseMove?: PropTypes.Validator<any>;
        onMouseMoveCapture?: PropTypes.Validator<any>;
        onMouseOut?: PropTypes.Validator<any>;
        onMouseOutCapture?: PropTypes.Validator<any>;
        onMouseOver?: PropTypes.Validator<any>;
        onMouseOverCapture?: PropTypes.Validator<any>;
        onMouseUp?: PropTypes.Validator<any>;
        onMouseUpCapture?: PropTypes.Validator<any>;
        onSelect?: PropTypes.Validator<any>;
        onSelectCapture?: PropTypes.Validator<any>;
        onTouchCancel?: PropTypes.Validator<any>;
        onTouchCancelCapture?: PropTypes.Validator<any>;
        onTouchEnd?: PropTypes.Validator<any>;
        onTouchEndCapture?: PropTypes.Validator<any>;
        onTouchMove?: PropTypes.Validator<any>;
        onTouchMoveCapture?: PropTypes.Validator<any>;
        onTouchStart?: PropTypes.Validator<any>;
        onTouchStartCapture?: PropTypes.Validator<any>;
        onScroll?: PropTypes.Validator<any>;
        onScrollCapture?: PropTypes.Validator<any>;
        onWheel?: PropTypes.Validator<any>;
        onWheelCapture?: PropTypes.Validator<any>;
        onAnimationStart?: PropTypes.Validator<any>;
        onAnimationStartCapture?: PropTypes.Validator<any>;
        onAnimationEnd?: PropTypes.Validator<any>;
        onAnimationEndCapture?: PropTypes.Validator<any>;
        onAnimationIteration?: PropTypes.Validator<any>;
        onAnimationIterationCapture?: PropTypes.Validator<any>;
        onTransitionEnd?: PropTypes.Validator<any>;
        onTransitionEndCapture?: PropTypes.Validator<any>;
    };
    static readonly defaultProps: {
        childList?: TableColumnRepository;
        activeTableKey?: string;
        defaultChecked?: boolean;
        defaultValue?: string | string[];
        suppressContentEditableWarning?: boolean;
        accessKey?: string;
        className?: string;
        contentEditable?: boolean;
        contextMenu?: string;
        dir?: string;
        draggable?: boolean;
        hidden?: boolean;
        id?: string;
        lang?: string;
        slot?: string;
        spellCheck?: boolean;
        style?: React.CSSProperties;
        tabIndex?: number;
        title?: string;
        inputMode?: string;
        is?: string;
        radioGroup?: string;
        role?: string;
        about?: string;
        datatype?: string;
        inlist?: any;
        prefix?: string;
        property?: string;
        resource?: string;
        typeof?: string;
        vocab?: string;
        autoCapitalize?: string;
        autoCorrect?: string;
        autoSave?: string;
        color?: string;
        itemProp?: string;
        itemScope?: boolean;
        itemType?: string;
        itemID?: string;
        itemRef?: string;
        results?: number;
        security?: string;
        unselectable?: boolean;
        children?: React.ReactNode;
        dangerouslySetInnerHTML?: {
            __html: string;
        };
        onCopy?: (event: React.ClipboardEvent<HTMLElement>) => void;
        onCopyCapture?: (event: React.ClipboardEvent<HTMLElement>) => void;
        onCut?: (event: React.ClipboardEvent<HTMLElement>) => void;
        onCutCapture?: (event: React.ClipboardEvent<HTMLElement>) => void;
        onPaste?: (event: React.ClipboardEvent<HTMLElement>) => void;
        onPasteCapture?: (event: React.ClipboardEvent<HTMLElement>) => void;
        onCompositionEnd?: (event: React.CompositionEvent<HTMLElement>) => void;
        onCompositionEndCapture?: (event: React.CompositionEvent<HTMLElement>) => void;
        onCompositionStart?: (event: React.CompositionEvent<HTMLElement>) => void;
        onCompositionStartCapture?: (event: React.CompositionEvent<HTMLElement>) => void;
        onCompositionUpdate?: (event: React.CompositionEvent<HTMLElement>) => void;
        onCompositionUpdateCapture?: (event: React.CompositionEvent<HTMLElement>) => void;
        onFocus?: (event: React.FocusEvent<HTMLElement>) => void;
        onFocusCapture?: (event: React.FocusEvent<HTMLElement>) => void;
        onBlur?: (event: React.FocusEvent<HTMLElement>) => void;
        onBlurCapture?: (event: React.FocusEvent<HTMLElement>) => void;
        onChange?: (event: React.FormEvent<HTMLElement>) => void;
        onChangeCapture?: (event: React.FormEvent<HTMLElement>) => void;
        onInput?: (event: React.FormEvent<HTMLElement>) => void;
        onInputCapture?: (event: React.FormEvent<HTMLElement>) => void;
        onReset?: (event: React.FormEvent<HTMLElement>) => void;
        onResetCapture?: (event: React.FormEvent<HTMLElement>) => void;
        onSubmit?: (event: React.FormEvent<HTMLElement>) => void;
        onSubmitCapture?: (event: React.FormEvent<HTMLElement>) => void;
        onInvalid?: (event: React.FormEvent<HTMLElement>) => void;
        onInvalidCapture?: (event: React.FormEvent<HTMLElement>) => void;
        onLoad?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onLoadCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onError?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onErrorCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onKeyDown?: (event: React.KeyboardEvent<HTMLElement>) => void;
        onKeyDownCapture?: (event: React.KeyboardEvent<HTMLElement>) => void;
        onKeyPress?: (event: React.KeyboardEvent<HTMLElement>) => void;
        onKeyPressCapture?: (event: React.KeyboardEvent<HTMLElement>) => void;
        onKeyUp?: (event: React.KeyboardEvent<HTMLElement>) => void;
        onKeyUpCapture?: (event: React.KeyboardEvent<HTMLElement>) => void;
        onAbort?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onAbortCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onCanPlay?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onCanPlayCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onCanPlayThrough?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onCanPlayThroughCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onDurationChange?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onDurationChangeCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onEmptied?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onEmptiedCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onEncrypted?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onEncryptedCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onEnded?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onEndedCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onLoadedData?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onLoadedDataCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onLoadedMetadata?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onLoadedMetadataCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onLoadStart?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onLoadStartCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onPause?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onPauseCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onPlay?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onPlayCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onPlaying?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onPlayingCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onProgress?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onProgressCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onRateChange?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onRateChangeCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onSeeked?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onSeekedCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onSeeking?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onSeekingCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onStalled?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onStalledCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onSuspend?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onSuspendCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onTimeUpdate?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onTimeUpdateCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onVolumeChange?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onVolumeChangeCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onWaiting?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onWaitingCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onClick?: (event: React.MouseEvent<HTMLElement>) => void;
        onClickCapture?: (event: React.MouseEvent<HTMLElement>) => void;
        onContextMenu?: (event: React.MouseEvent<HTMLElement>) => void;
        onContextMenuCapture?: (event: React.MouseEvent<HTMLElement>) => void;
        onDoubleClick?: (event: React.MouseEvent<HTMLElement>) => void;
        onDoubleClickCapture?: (event: React.MouseEvent<HTMLElement>) => void;
        onDrag?: (event: React.DragEvent<HTMLElement>) => void;
        onDragCapture?: (event: React.DragEvent<HTMLElement>) => void;
        onDragEnd?: (event: React.DragEvent<HTMLElement>) => void;
        onDragEndCapture?: (event: React.DragEvent<HTMLElement>) => void;
        onDragEnter?: (event: React.DragEvent<HTMLElement>) => void;
        onDragEnterCapture?: (event: React.DragEvent<HTMLElement>) => void;
        onDragExit?: (event: React.DragEvent<HTMLElement>) => void;
        onDragExitCapture?: (event: React.DragEvent<HTMLElement>) => void;
        onDragLeave?: (event: React.DragEvent<HTMLElement>) => void;
        onDragLeaveCapture?: (event: React.DragEvent<HTMLElement>) => void;
        onDragOver?: (event: React.DragEvent<HTMLElement>) => void;
        onDragOverCapture?: (event: React.DragEvent<HTMLElement>) => void;
        onDragStart?: (event: React.DragEvent<HTMLElement>) => void;
        onDragStartCapture?: (event: React.DragEvent<HTMLElement>) => void;
        onDrop?: (event: React.DragEvent<HTMLElement>) => void;
        onDropCapture?: (event: React.DragEvent<HTMLElement>) => void;
        onMouseDown?: (event: React.MouseEvent<HTMLElement>) => void;
        onMouseDownCapture?: (event: React.MouseEvent<HTMLElement>) => void;
        onMouseEnter?: (event: React.MouseEvent<HTMLElement>) => void;
        onMouseLeave?: (event: React.MouseEvent<HTMLElement>) => void;
        onMouseMove?: (event: React.MouseEvent<HTMLElement>) => void;
        onMouseMoveCapture?: (event: React.MouseEvent<HTMLElement>) => void;
        onMouseOut?: (event: React.MouseEvent<HTMLElement>) => void;
        onMouseOutCapture?: (event: React.MouseEvent<HTMLElement>) => void;
        onMouseOver?: (event: React.MouseEvent<HTMLElement>) => void;
        onMouseOverCapture?: (event: React.MouseEvent<HTMLElement>) => void;
        onMouseUp?: (event: React.MouseEvent<HTMLElement>) => void;
        onMouseUpCapture?: (event: React.MouseEvent<HTMLElement>) => void;
        onSelect?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onSelectCapture?: (event: React.SyntheticEvent<HTMLElement>) => void;
        onTouchCancel?: (event: React.TouchEvent<HTMLElement>) => void;
        onTouchCancelCapture?: (event: React.TouchEvent<HTMLElement>) => void;
        onTouchEnd?: (event: React.TouchEvent<HTMLElement>) => void;
        onTouchEndCapture?: (event: React.TouchEvent<HTMLElement>) => void;
        onTouchMove?: (event: React.TouchEvent<HTMLElement>) => void;
        onTouchMoveCapture?: (event: React.TouchEvent<HTMLElement>) => void;
        onTouchStart?: (event: React.TouchEvent<HTMLElement>) => void;
        onTouchStartCapture?: (event: React.TouchEvent<HTMLElement>) => void;
        onScroll?: (event: React.UIEvent<HTMLElement>) => void;
        onScrollCapture?: (event: React.UIEvent<HTMLElement>) => void;
        onWheel?: (event: React.WheelEvent<HTMLElement>) => void;
        onWheelCapture?: (event: React.WheelEvent<HTMLElement>) => void;
        onAnimationStart?: (event: React.AnimationEvent<HTMLElement>) => void;
        onAnimationStartCapture?: (event: React.AnimationEvent<HTMLElement>) => void;
        onAnimationEnd?: (event: React.AnimationEvent<HTMLElement>) => void;
        onAnimationEndCapture?: (event: React.AnimationEvent<HTMLElement>) => void;
        onAnimationIteration?: (event: React.AnimationEvent<HTMLElement>) => void;
        onAnimationIterationCapture?: (event: React.AnimationEvent<HTMLElement>) => void;
        onTransitionEnd?: (event: React.TransitionEvent<HTMLElement>) => void;
        onTransitionEndCapture?: (event: React.TransitionEvent<HTMLElement>) => void;
    };
    static readonly contextTypes: {
        initData: PropTypes.Validator<any>;
        getCurrentVisibleData: PropTypes.Validator<any>;
        getColumn: PropTypes.Validator<any>;
        getCurrentData: PropTypes.Validator<any>;
        onError: PropTypes.Validator<any>;
        saveData: PropTypes.Validator<any>;
        getControlAction: PropTypes.Validator<any>;
        bindControlAction: PropTypes.Validator<any>;
        unbindControlAction: PropTypes.Validator<any>;
        enableCaching: PropTypes.Validator<any>;
    };
    readonly context: CriteriaTableControllerContext;
    render(): JSX.Element;
    protected TreeItems: React.SFC<{}>;
    protected handleSaveData: () => void;
    protected handleMove: ({ oldIndex, newIndex }: {
        oldIndex: any;
        newIndex: any;
    }) => void;
}
