/// <reference types="react" />
import { TableColumnRepository } from "./TableColumnRepository";
export declare class TableColumn {
    getHeaderProps?: (state: any, rowInfo: any, column: any, instance: any) => void;
    getFooterProps?: (state: any, rowInfo: any, column: any, instance: any) => void;
    filterMethod?: (filter: any, row: any, column: any) => boolean | void;
    Aggregated?: JSX.Element | string | ((args?: any) => JSX.Element);
    PivotValue?: JSX.Element | string | ((args?: any) => JSX.Element);
    Expander?: JSX.Element | string | ((args?: any) => JSX.Element);
    Header?: JSX.Element | string | ((args?: any) => JSX.Element);
    Footer?: JSX.Element | string | ((args?: any) => JSX.Element);
    Pivot?: JSX.Element | string | ((args?: any) => JSX.Element);
    Cell?: JSX.Element | string | ((args?: any) => JSX.Element);
    Filter?: JSX.Element | ((args?: any) => JSX.Element);
    headerStyle?: CSSStyleDeclaration;
    footerStyle?: CSSStyleDeclaration;
    style?: CSSStyleDeclaration;
    footerClassName?: string;
    headerClassName?: string;
    filterable?: boolean;
    resizable?: boolean;
    filterAll?: boolean;
    sortable?: boolean;
    expander?: boolean;
    className?: string;
    accessor?: string;
    minWidth?: number;
    maxWidth?: number;
    pivot?: boolean;
    width?: number;
    id: string;
    show: boolean;
    setParentState: (newState: boolean) => void;
    childColumnRepository?: TableColumnRepository;
    columns?: Array<Partial<TableColumn>>;
    constructor(props: Partial<TableColumn>);
    readonly childColumnsArray: Array<TableColumn>;
    updateStateFromChild: (newState: boolean) => void;
    setState: (newState: boolean) => TableColumn;
    updateVisible: () => TableColumn;
    getVisibleColumns: () => Partial<TableColumn>[];
    saveData: () => TableColumn;
    subtractData: (data: Partial<TableColumn>) => TableColumn;
    getChildColumnById: (childId: string) => TableColumn;
    private readonly visibleColumns;
}
